Subject: Re: [PATCHv4 2/4] Add infrastructure for ref namespaces

From: Josh Triplett <[email-masked]>
Date: Fri, 3 Jun 2011 14:01:56 -0700

On Fri, Jun 03, 2011 at 01:35:34AM -0700, Jakub Narebski wrote:
> Jamey Sharp <[email-masked]> writes:
> 
> > From: Josh Triplett <[email-masked]>
> > 
> > Add support for dividing the refs of a single repository into multiple
> > namespaces, each of which can have its own branches, tags, and HEAD.
> > Git can expose each namespace as an independent repository to pull from
> > and push to, while sharing the object store, and exposing all the refs
> > to operations such as git-gc.
> [...]
> 
> By the way, after this feature is merged in, would you like for gitweb
> to understand ref namespaces and offer browsing of separate namespaces
> (sub-repositories)?

Yes, definitely!  We'd love to see gitweb handling namespaces
transparently, and presenting them identically to top-level
repositories.  (Also, gitweb would need to present the appropriate
repository URIs for cloning.)

Thanks,
Josh Triplett and Jamey Sharp